<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .item1{grid-area: header;}
        .item2{grid-area: menu;}
        .item3{grid-area: main;}
        .item4{grid-area: right;}
        .item5{grid-area: footer;}

        .container{
            display: grid;
            grid-template-areas: 
            'header header header header header header'
            'menu menu main main main right'
            'footer footer footer footer footer footer';
            grid-auto-rows: 100px auto auto;
        }
        .container>div{
            border: 1px solid black;
            padding: 20px;
            font-size: 25px;
            background-color: aquamarine;
          
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="item1">Header</div>
        <div class="item2">Menu</div>
        <div class="item3">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sequi explicabo consequuntur repellat, iste enim, facere commodi placeat quae ipsam quis deleniti magni hic aliquid minima iure quaerat, possimus inventore officia ad velit libero dignissimos nobis! Quaerat nulla ratione debitis facilis praesentium temporibus similique est quis ducimus minima! Repudiandae sit commodi molestiae reiciendis esse voluptate sapiente! Facere ea nemo pariatur numquam ullam, fugit voluptatum quisquam veritatis quod maxime tempore dolor eum impedit error sunt amet corporis tempora omnis a sint. Quam ullam reiciendis illum. Alias assumenda, sequi praesentium saepe porro ipsum consequuntur architecto obcaecati sunt, ullam molestias officia consequatur velit, reprehenderit repellat eos? Nulla officiis id numquam natus assumenda cupiditate exercitationem quae nemo? Voluptates sit, distinctio mollitia optio quibusdam accusantium ex odit, quas sint maiores ut officiis repellendus. Eum asperiores natus velit pariatur dignissimos sunt et sapiente ratione dolores sit sint incidunt quod nobis cumque provident eaque aliquid iusto, adipisci deserunt nulla enim omnis saepe! Ut dignissimos facere sapiente minima ipsam quae odit id dolore illum? A rem incidunt necessitatibus dignissimos excepturi eveniet dolore pariatur placeat. Aperiam laboriosam repellendus iusto doloremque commodi est ex libero dolorem omnis sint id totam eum illum vel, at eligendi accusamus pariatur! Consequatur quae delectus, vitae, in reprehenderit exercitationem unde veniam iste, beatae nobis nihil! Vitae distinctio ipsam, deleniti quo doloribus sit tempore, commodi illum minima assumenda aliquid reiciendis dicta placeat dolorem libero ullam magni, fugiat magnam voluptatum iste. Nemo tempore placeat ea. Ea possimus magni, repudiandae, facilis exercitationem accusantium ipsam expedita laudantium, vitae ducimus nam! Possimus dicta reprehenderit quasi error, ipsa iusto! Quaerat voluptatum vero quis saepe? Illum, ad numquam magnam amet ipsam hic ipsa totam, voluptatum illo rem sit temporibus odio. Magni aperiam quidem nobis nostrum veritatis ducimus, voluptate sapiente, cum veniam alias tempore accusantium. Praesentium, quo officia. Id fugit impedit quo distinctio harum amet molestias, iure, possimus officiis, laudantium doloremque nihil. Magnam quae, esse inventore odit harum ipsum libero minus quod molestias corporis excepturi neque quia accusantium alias placeat labore non. Sapiente aperiam quis nisi fugiat error sint. Sed aperiam, non rerum vero dignissimos quod ullam, et, rem necessitatibus minima cupiditate. Illum voluptatem magnam quo in expedita repellendus vel alias, nesciunt deleniti facere aut sequi culpa, ut laborum. Deleniti rerum quasi ea quaerat accusamus expedita quam ex commodi debitis odio cupiditate ducimus numquam minus fugiat, hic repellendus magni quo molestiae saepe quis fugit enim rem facere. Maiores est repellendus dolorem dolores saepe, debitis cumque hic modi inventore laudantium fuga aspernatur totam cupiditate ipsam quas distinctio! Dolor quis facilis perferendis minus voluptate perspiciatis nemo, et iste recusandae doloribus ipsa aliquid soluta aspernatur eius similique obcaecati aperiam voluptatibus reiciendis. Fugit perferendis unde odit beatae suscipit, aspernatur aperiam corporis sunt ipsum ab aliquam possimus inventore dolorum eaque? Tempora esse reiciendis aperiam enim labore molestiae sint exercitationem rerum sit placeat soluta possimus, deserunt rem, voluptates quo repudiandae iste eaque a? Assumenda recusandae fugiat nemo hic neque? Itaque fuga quibusdam at nemo sed ad accusantium maxime nostrum eligendi earum. Quae ut mollitia voluptate natus aliquid suscipit. Quae impedit doloremque inventore soluta excepturi cum ullam, libero cumque dolores provident eius tenetur exercitationem a nihil facere eaque repellendus at, pariatur incidunt molestiae, ipsum aut dignissimos hic! Veritatis quas doloremque soluta ut atque accusantium vitae deleniti quisquam incidunt, velit, officia sunt obcaecati perferendis consequuntur rem numquam sint unde voluptatem itaque, ratione quis? Eos voluptatum culpa quis! Similique pariatur optio error amet. Culpa accusantium officiis ab, minus dolores rerum hic doloribus in praesentium a molestias. Quo, vel fugit at non dolor fugiat, ad in nulla rerum, impedit aliquam ab cupiditate ut corporis similique! Debitis quidem maxime modi quibusdam officiis esse nihil est, quisquam quasi sequi eveniet similique quos nesciunt tempore maiores recusandae obcaecati perspiciatis! Nemo in ad debitis assumenda totam unde deleniti quo. Aspernatur laboriosam harum excepturi, sequi nihil veritatis ipsum ullam aliquid beatae officia vitae? Nihil minus nisi voluptatem quis voluptates architecto? Aliquid reiciendis odit, iste magnam nostrum nesciunt amet sequi facilis quae architecto voluptate rem voluptatum incidunt maxime veniam, recusandae iure expedita perspiciatis nam optio nihil. Unde dolore iste perspiciatis deserunt amet totam quasi vitae pariatur distinctio assumenda veniam excepturi voluptatum, beatae esse eum praesentium corporis aspernatur corrupti consequatur voluptatibus fugit repellendus. Ea perferendis error quaerat et minima consequuntur architecto eius pariatur nisi reprehenderit nihil atque accusamus id, culpa animi accusantium harum quos beatae molestias voluptatibus voluptates. Placeat quas, quo fugit fugiat dolores error quam nam sit sint aperiam, cum accusamus ullam eius temporibus. Animi laborum vero voluptas tempora recusandae vel odit ea, ducimus ipsam. Ducimus et facilis eum natus numquam nesciunt alias architecto commodi omnis maiores. Fugit possimus, impedit culpa excepturi cupiditate eveniet dicta sint eum adipisci itaque placeat consequatur accusamus nisi quisquam sequi obcaecati nostrum earum voluptatum maiores doloremque veniam commodi cumque nesciunt minima. Ab laboriosam consequuntur quisquam, nesciunt quod qui cum at vel nihil magnam facilis beatae vitae reprehenderit distinctio perspiciatis maiores natus tenetur illum error aliquam quas quos dolor aliquid impedit? Corporis iure autem, fugiat necessitatibus neque quaerat non possimus nulla alias accusantium vitae aliquid ut labore maiores officia eius nihil deleniti? Molestiae explicabo, ea laborum architecto illo doloremque assumenda beatae dicta deleniti quo maxime accusamus, sapiente fugit, nulla iure incidunt dolorum tenetur! Cum harum veritatis quidem tempora ab aperiam nihil similique molestias nemo reiciendis impedit quod est expedita ad, ex aspernatur quis sed, officia dolore. Vel saepe minima, assumenda incidunt provident autem, dignissimos numquam deleniti magnam voluptate, quasi fugit odio natus pariatur nisi ullam ratione consectetur aliquid amet quis reprehenderit sint corporis. Et officiis fuga facere inventore labore, animi nostrum, nobis reiciendis asperiores nemo quos molestiae assumenda eveniet soluta architecto exercitationem commodi dolorum, eligendi illum dignissimos dolor! Quibusdam explicabo suscipit impedit, ipsa ducimus quidem quasi repudiandae commodi repellat distinctio ut aliquam ratione eveniet, porro, mollitia placeat officiis assumenda! Dolore maxime totam exercitationem temporibus. Esse sapiente earum assumenda voluptatem voluptas nobis dolorem a ipsam velit perferendis dignissimos inventore numquam aut nulla saepe quia eum, corrupti vitae et cumque ea aliquid officiis? Reiciendis omnis ut architecto aliquid praesentium. Fuga iusto sapiente esse alias exercitationem illo illum placeat.</p>
        </div>
        <div class="item4">Right</div>
        <div class="item5">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Id ex aliquid exercitationem dolorum repudiandae excepturi natus omnis pariatur atque soluta.</div>
    </div>
</body>
</html>